System.ServiceModel 4.0.0.0

To inspect or modify objects when they are created, implement the interface and use an to add it to the property.

There can be any number of context initializers for a service. Typically, the is added to attach an extension to the object as a mechanism for passing data throughout an application.

If you want to participate in providing or selecting the object that processes a message, see .

Defines the methods necessary to inspect or modify the creation of objects when required.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  The method is called when an object is created. Typically this method is used to attach an extension so that custom data can be accessed throughout an application.

  Provides the ability to modify the newly created object.

  The message that triggered the creation of the instance context.